/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MPLAYERGENERALSETTINGSPAGE_H
#define MPLAYERGENERALSETTINGSPAGE_H

#include <SettingsPageInterface>
#include <QtGui/QWidget>

class QLabel;
class QSettings;
class KUrlRequester;

namespace MPlayerScriptDevice {

/**
	@author Andreas Silberstorff <ml@andreas-silberstorff.de>
*/
class GeneralSettingsPage
 : public QWidget,
   public KalvaPlugin::SettingsPageInterface
{
	Q_OBJECT
public:
	GeneralSettingsPage();
	~GeneralSettingsPage();

public slots:
	void writeSettings();
	void loadSettings();

private:

	KUrlRequester* mMencoder;

private slots:
	void createWidgets();
	void layoutWidgets();

};

}

#endif
