/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#include "documentscrollview.h"

#include "documentwidget.h"

DocumentScrollView::DocumentScrollView(QWidget *parent, const char *name)
 : QScrollView(parent, name)
{
  m_docWidget = new DocumentWidget(0, "DocumentWidget");
  m_docWidget->resize(1600, 1200);
  addChild( m_docWidget );
}

void DocumentScrollView::showEvent( QShowEvent *e )
{
  //center(m_docWidget->width()/2, m_docWidget->height()/2);
  QScrollView::showEvent(e);
}

DocumentScrollView::~DocumentScrollView()
{
}


#include "documentscrollview.moc"
