/*
    Copyright (C) 2006  Nicolas Le Guen <goldenear@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef STARTVIEW_H
#define STARTVIEW_H

// QT includes.
#include <qlayout.h>
#include <qlabel.h>

// KDE includes.
#include <klistview.h>

class StartView : public KListView
{
    Q_OBJECT

public:

    StartView(QWidget* parent);
   ~StartView();
    
private slots:

    
protected:
    QListViewItem *itemActions;
    QListViewItem *itemOpenFile;
    QListViewItem *itemPlayDisc;
    QListViewItem *itemCDAudio;
    QListViewItem *itemDiscImage;
    QListViewItem *itemWatchTV;
    QListViewItem *itemHistory;
    QListViewItem *itemBookmarks;
    
private:

};

#endif /* HOMEVIEW_H */

